PYTHON-RIEMANN-CLIENT(1)

NAME
python-riemann-client - Connects to a Riemann server to send events or query the index

SYNOPSIS
python-riemann-client [CONNECTION_PARAMETERS] send [EVENT_PARAMETERS]
python-riemann-client [CONNECTION_PARAMETERS] query [QUERY]

DESCRIPTION
This manual page documents briefly the python-rieman-client command.

OPTIONS

  Connection parameters

-H, --host
    Riemann server hostname. Default is localhost.

-P, --port
    Riemann server port. Default is 5555.

-T, --transport
    The protocol to use to connect to Riemann: udp, tcp or tls.

-I, --timeout
    Timeout for TCP based connections.

-C, --ca-certs
    A CA certificate bundle for TLS connections.

  Event parameters

-T, --time
    Event timestamp (unix format)

-S, --state
    Event state

-s, --service
    Event service name

-h, --host
    Event hostname (uses system's by default)

-d, --description
    Event description

-t, --tag
    Event tag (multiple)

-l, --tt1
    Event time to live in seconds

-a, --attr, --attribute
    Event attribute (key=value, multiple)

-m, --metric, --metric_f
    Event metric (uses metric_f)

EXAMPLES
To query all events where the state is ok, use:

    python-riemann-client query 'state = "ok"'

AUTHOR
python-riemann-client was written by Sam Clements <sam@borntyping.co.uk>.

This manual page was written by Alexandre Viau <alexandre@alexandreviau.net>, for the Debian project (and may be used by others).